Bug 170554 - New port: finance/trytond_account_invoice
New port: finance/trytond_account_invoice
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 12:10 UTC by matthias
Modified: 2012-08-28 14:06 UTC (History)
0 users

See Also:


Attachments
file.shar (8.00 KB, text/plain)
2012-08-12 12:10 UTC, matthias
no flags Details
trytond_account_invoice.txt (7.90 KB, text/plain)
2012-08-19 16:18 UTC, matthias
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description matthias 2012-08-12 12:10:02 UTC
This port provides data model and business logic to add invoicing capabilities to the trytond module accounting.

XXX CREES This port depends on finance/trytond_account in ports/170553

Fix: Patch attached with submission follows:
Comment 1 Chris Rees freebsd_committer 2012-08-12 12:18:13 UTC
Class Changed
From-To: maintainer-update->change-request

Fix Synopsis and reclassify
Comment 2 Wen Heping freebsd_committer 2012-08-12 14:55:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 3 matthias 2012-08-19 16:18:05 UTC
Cleaned up Makefile, added License.

-- 
Matthias Petermann <matthias@d2ux.net>
Comment 4 dfilter freebsd_committer 2012-08-28 13:43:24 UTC
Author: wen
Date: Tue Aug 28 12:43:09 2012
New Revision: 303284
URL: http://svn.freebsd.org/changeset/ports/303284

Log:
  The account invoice is a module for tryton. It defines data model
  and business logic for creating invoices.
  
  WWW: http://www.tryton.org/
  
  PR:		170554
  Submitted by:	Matthias Petermann <matthias@d2ux.net>

Added:
  head/finance/trytond_account_invoice/
  head/finance/trytond_account_invoice/Makefile   (contents, props changed)
  head/finance/trytond_account_invoice/distinfo   (contents, props changed)
  head/finance/trytond_account_invoice/pkg-descr   (contents, props changed)
  head/finance/trytond_account_invoice/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Tue Aug 28 12:37:09 2012	(r303283)
+++ head/finance/Makefile	Tue Aug 28 12:43:09 2012	(r303284)
@@ -105,6 +105,7 @@
     SUBDIR += tryton
     SUBDIR += trytond
     SUBDIR += trytond_account
+    SUBDIR += trytond_account_invoice
     SUBDIR += trytond_company
     SUBDIR += trytond_country
     SUBDIR += trytond_currency

Added: head/finance/trytond_account_invoice/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_account_invoice/Makefile	Tue Aug 28 12:43:09 2012	(r303284)
@@ -0,0 +1,24 @@
+# New ports collection makefile for:	trytond_account_invoice
+# Date created:		12 August, 2012
+# Whom:			Matthias Petermann<matthias@petermann.it>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	trytond_account_invoice
+PORTVERSION=	2.4.1
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	The Account Invoice Module for Tryton
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_account_product>=2.4.1:${PORTSDIR}/finance/trytond_account_product
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_account_invoice/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_account_invoice/distinfo	Tue Aug 28 12:43:09 2012	(r303284)
@@ -0,0 +1,2 @@
+SHA256 (trytond_account_invoice-2.4.1.tar.gz) = 8eae98a70a4396390b5a19edf434c8e8ac1c89027199afd111f74547a1bbfa24
+SIZE (trytond_account_invoice-2.4.1.tar.gz) = 101498

Added: head/finance/trytond_account_invoice/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_account_invoice/pkg-descr	Tue Aug 28 12:43:09 2012	(r303284)
@@ -0,0 +1,4 @@
+The account invoice is a module for tryton. It defines data model
+and business logic for creating invoices.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_account_invoice/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_account_invoice/pkg-plist	Tue Aug 28 12:43:09 2012	(r303284)
@@ -0,0 +1,53 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/account.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/invoice.odt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/invoice.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/invoice.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/invoice.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/invoice.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/party.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/party.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/party.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/party.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/payment_term.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/payment_term.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/payment_term.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/payment_term.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests/test_account_invoice.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/account_invoice
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2012-08-28 14:06:14 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!